- Qt 5.15
- Qt Core
- qt_add_binary_resources
- Qt 5.15.19 Reference Documentation

# qt_add_binary_resources

## Synopsis

     qt_add_binary_resources(target file1.qrc [file2.qrc ...]
                             [DESTINATION ...]
                             [OPTIONS ...])

## Description

Adds a custom `target` that compiles Qt resource files into a binary `.rcc` file.

This command was introduced in Qt 5.15. You can use qt5_add_binary_resources in older versions of Qt.

## Arguments

`DESTINATION` sets the path of the generated `.rcc` file. The default is `${CMAKE_CURRENT_BINARY_DIR}/${target}.rcc`.

You can set additional `OPTIONS` that should be added to the `rcc` calls. You can find possible options in the rcc documentation.

## Examples

     qt_add_binary_resources(resources project.qrc OPTIONS -no-compress)
     add_dependencies(myapp resources)